{inputs, pkgs, ...}: 
{
  xdg.enable = true;

  xdg.portal = {
    enable = true;
    configPackages = [ pkgs.hyprland ];

    extraPortals = [
        pkgs.xdg-desktop-portal-gtk
    ];
  };


  xdg.userDirs = {
    enable = true;
    createDirectories = true;
    desktop = "Desktop";
    documents = "Documents";
    # downloads = "Downloads";
    pictures = "Pictures";
  };
}
